<div 
    *ngFor="let product of products" 
    (click)="selectOption(product)" 
    class="product-block"
    [class.selected]="product===selectedValue"
>
    {{ product.name }}
    <i 
        class="bi bi-question-circle" 
        [ngbTooltip]="product.description" 
        tooltipClass="info-tooltip approval-info-tooltip"
        placement="top" 
    ></i>
</div>
